Skip to content

Retrieve Running Experiments

Retrieve all running experiments with their variants and associated story IDs.

The Storyblok experiments feature enables content variants at the story level. Use experiments to run A/B tests or to manage personalized content.

Learn more about experiments in the developer concept and the user manual.

GET
https://api.storyblok.com/v2/cdn/experiments
  • token required string

    A preview or public access token configured in a space.

  • cv number

    Cached version Unix timestamp (learn more about cache invalidation).

curl "https://api.storyblok.com/v2/cdn/experiments\
?token=ask9soUkv02QqbZgmZdeDAtt"
Example Response
{
"experiments": [
{
"id": 123,
"name": "homepage_hero_test",
"display_name": "Homepage Hero Test",
"story_ids": [
101,
202
],
"variants": [
{
"name": "control",
"display_name": "Control",
"public_id": "var_abc123def456",
"weight": 50,
"is_control": true,
"story_mappings": [
{
"original_story_id": 123,
"original_slug": "home",
"variant_story_id": 456,
"variant_slug": "home-variant-a"
}
]
}
]
}
],
"cv": 1709500000
}

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.